Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry.infomodel
Interface TelephoneNumber

public interface TelephoneNumber

A simple re-usable entity class that defines attributes of a telephone number.

Author:
  Farrukh S. Najmi

Method Summary
`java.lang.String` | `getAreaCode()` Gets the area code.
`java.lang.String` | `getCountryCode()` Gets the country code.
`java.lang.String` | `getExtension()` Gets the internal extension.
`java.lang.String` | `getNumber()` Gets the telephone number suffix, not including the country or area code.
`java.lang.String` | `getType()` The type of telephone number (for example, "fax").
`java.lang.String` | `getUrl()` Gets the URL that can dial this number electronically.
`void` | `setAreaCode(java.lang.String areaCode)` Sets the area code.
`void` | `setCountryCode(java.lang.String countryCode)` Sets country code.
`void` | `setExtension(java.lang.String extension)` Sets the internal extension.
`void` | `setNumber(java.lang.String number)` Sets the telephone number suffix, not including the country or area code.
`void` | `setType(java.lang.String type)` Sets the type of telephone number (for example, "fax").
`void` | `setUrl(java.lang.String url)` Sets the URL that can dial this number electronically.

Method Detail

### getCountryCode

    public java.lang.String getCountryCode()
                                    throws JAXRException

  Gets the country code. Default is an empty String.

  Capability Level: 1

  Returns:
    the country code
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getAreaCode

    public java.lang.String getAreaCode()
                                 throws JAXRException

  Gets the area code. Default is an empty String.

  Capability Level: 1

  Returns:
    the area code
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getNumber

    public java.lang.String getNumber()
                               throws JAXRException

  Gets the telephone number suffix, not including the country or area code. Default is an empty String.

  Capability Level: 0

  Returns:
    the telephone number
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getExtension

    public java.lang.String getExtension()
                                  throws JAXRException

  Gets the internal extension. Default is an empty String.

  Capability Level: 1

  Returns:
    the internal extension number
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getUrl

    public java.lang.String getUrl()
                            throws JAXRException

  Gets the URL that can dial this number electronically. Default is a NULL String.

  Capability Level: 1

  Returns:
    the url
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getType

    public java.lang.String getType()
                             throws JAXRException

  The type of telephone number (for example, "fax"). Any String would do.

  Capability Level: 0

  Returns:
    the type for this TelephoneNumber, which is an arbitrary String
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setCountryCode

    public void setCountryCode(java.lang.String countryCode)
                        throws JAXRException

  Sets country code.

  Capability Level: 1

  Parameters:
    `countryCode` - the country code
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setAreaCode

    public void setAreaCode(java.lang.String areaCode)
                     throws JAXRException

  Sets the area code.

  Capability Level: 1

  Parameters:
    `areaCode` - the area code
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setNumber

    public void setNumber(java.lang.String number)
                   throws JAXRException

  Sets the telephone number suffix, not including the country or area code.

  Capability Level: 0

  Parameters:
    `number` - the telephone number
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setExtension

    public void setExtension(java.lang.String extension)
                      throws JAXRException

  Sets the internal extension.

  Capability Level: 1

  Parameters:
    `extension` - the internal extension number
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setUrl

    public void setUrl(java.lang.String url)
                throws JAXRException

  Sets the URL that can dial this number electronically.

  Capability Level: 1

  Parameters:
    `url` - the URL string
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setType

    public void setType(java.lang.String type)
                 throws JAXRException

  Sets the type of telephone number (for example, "fax"). Any String will do.

  Capability Level: 0

  Parameters:
    `type` - the type for this TelephoneNumber, which is an arbitrary String
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.